aws-0.16: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.S3.Commands.DeleteObjectVersion

Synopsis

- data DeleteObjectVersion = DeleteObjectVersion {
  - dovObjectName :: Text
  - dovBucket :: Bucket
  - dovVersionId :: Text
  }
- deleteObjectVersion :: Bucket -> Text -> Text -> DeleteObjectVersion
- data DeleteObjectVersionResponse = DeleteObjectVersionResponse {
  }

# Documentation

data DeleteObjectVersion #

Constructors

DeleteObjectVersion |
Fields dovObjectName :: Text dovBucket :: Bucket dovVersionId :: Text

Instances

SignQuery DeleteObjectVersion # | ServiceConfiguration: `S3Configuration`
Associated Types type ServiceConfiguration DeleteObjectVersion :: * -> * # Methods signQuery :: DeleteObjectVersion -> ServiceConfiguration DeleteObjectVersion queryType -> SignatureData -> SignedQuery #
Transaction DeleteObjectVersion DeleteObjectVersionResponse # |
ResponseConsumer DeleteObjectVersion DeleteObjectVersionResponse # |
Associated Types type ResponseMetadata DeleteObjectVersionResponse :: * # Methods responseConsumer :: Request -> DeleteObjectVersion -> IORef (ResponseMetadata DeleteObjectVersionResponse) -> HTTPResponseConsumer DeleteObjectVersionResponse #
type ServiceConfiguration DeleteObjectVersion # |
type ServiceConfiguration DeleteObjectVersion = S3Configuration

deleteObjectVersion :: Bucket -> Text -> Text -> DeleteObjectVersion #

data DeleteObjectVersionResponse #

Constructors

DeleteObjectVersionResponse |

Instances

AsMemoryResponse DeleteObjectVersionResponse # |
Associated Types type MemoryResponse DeleteObjectVersionResponse :: * # Methods loadToMemory :: DeleteObjectVersionResponse -> ResourceT IO (MemoryResponse DeleteObjectVersionResponse) #
Transaction DeleteObjectVersion DeleteObjectVersionResponse # |
ResponseConsumer DeleteObjectVersion DeleteObjectVersionResponse # |
Associated Types type ResponseMetadata DeleteObjectVersionResponse :: * # Methods responseConsumer :: Request -> DeleteObjectVersion -> IORef (ResponseMetadata DeleteObjectVersionResponse) -> HTTPResponseConsumer DeleteObjectVersionResponse #
type MemoryResponse DeleteObjectVersionResponse # |
type MemoryResponse DeleteObjectVersionResponse = DeleteObjectVersionResponse
type ResponseMetadata DeleteObjectVersionResponse # |
type ResponseMetadata DeleteObjectVersionResponse = S3Metadata